# ApplicationFramework
TKBinL
BinTools

# BinTools Class Reference

Tool to keep shapes in binary format
.

`#include <BinTools.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Standard_OStream & | PutReal (Standard_OStream &OS, const Standard_Real theValue)
static Standard_EXPORT Standard_OStream & | PutInteger (Standard_OStream &OS, const Standard_Integer theValue)
static Standard_EXPORT Standard_OStream & | PutBool (Standard_OStream &OS, const Standard_Boolean theValue)
static Standard_EXPORT Standard_OStream & | PutExtChar (Standard_OStream &OS, const Standard_ExtCharacter theValue)
static Standard_EXPORT Standard_IStream & | GetReal (Standard_IStream &IS, Standard_Real &theValue)
static Standard_EXPORT Standard_IStream & | GetInteger (Standard_IStream &IS, Standard_Integer &theValue)
static Standard_EXPORT Standard_IStream & | GetBool (Standard_IStream &IS, Standard_Boolean &theValue)
static Standard_EXPORT Standard_IStream & | GetExtChar (Standard_IStream &IS, Standard_ExtCharacter &theValue)

## Member Function Documentation

static Standard_EXPORT Standard_IStream& BinTools::GetBool | ( | Standard_IStream & | IS,
|  | Standard_Boolean & | theValue
| ) | `[static]`

static Standard_EXPORT Standard_IStream& BinTools::GetExtChar | ( | Standard_IStream & | IS,
|  | Standard_ExtCharacter & | theValue
| ) | `[static]`

static Standard_EXPORT Standard_IStream& BinTools::GetInteger | ( | Standard_IStream & | IS,
|  | Standard_Integer & | theValue
| ) | `[static]`

static Standard_EXPORT Standard_IStream& BinTools::GetReal | ( | Standard_IStream & | IS,
|  | Standard_Real & | theValue
| ) | `[static]`

void BinTools::operator delete | ( | void * | anAddress | ) | `[inline]`

void* BinTools::operator new | ( | size_t | size | ) | `[inline]`

void* BinTools::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Standard_OStream& BinTools::PutBool | ( | Standard_OStream & | OS,
|  | const Standard_Boolean | theValue
| ) | `[static]`

static Standard_EXPORT Standard_OStream& BinTools::PutExtChar | ( | Standard_OStream & | OS,
|  | const Standard_ExtCharacter | theValue
| ) | `[static]`

static Standard_EXPORT Standard_OStream& BinTools::PutInteger | ( | Standard_OStream & | OS,
|  | const Standard_Integer | theValue
| ) | `[static]`

static Standard_EXPORT Standard_OStream& BinTools::PutReal | ( | Standard_OStream & | OS,
|  | const Standard_Real | theValue
| ) | `[static]`

The documentation for this class was generated from the following file:

- BinTools.hxx